Package com.independentsoft.office.charts

# Class BubbleChartSerie

java.lang.Object
com.independentsoft.office.charts.BubbleChartSerie

public class BubbleChartSerie extends Object
The Class BubbleChartSerie.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BubbleChartSerie()`
  Instantiates a new bubble chart serie.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BubbleChartSerie`
  `clone()`
  `ChartShapeProperties`
  `getChartShapeProperties()`
  Gets the chart shape properties.
  `DataLabels`
  `getDataLabels()`
  Gets the data labels.
  `List<DataPoint>`
  `getDataPoints()`
  Gets the data points.
  `ErrorBars`
  `getErrorBars()`
  Gets the error bars.
  `ExtensionList`
  `getExtensionList()`
  Gets the extension list (`c:extLst`).
  `int`
  `getIndex()`
  Gets the index.
  `int`
  `getOrder()`
  Gets the order.
  `SeriesText`
  `getSeriesText()`
  Gets the series text.
  `BubbleSize`
  `getSize()`
  Gets the size.
  `List<Trendline>`
  `getTrendlines()`
  Gets the trendlines.
  `XValues`
  `getXValues()`
  Gets the x values.
  `YValues`
  `getYValues()`
  Gets the y values.
  `boolean`
  `isBubble3D()`
  Checks if is bubble3 d.
  `boolean`
  `isInvertIfNegative()`
  Checks if is invert if negative.
  `void`
  `setBubble3D​(boolean bubble3D)`
  Sets the bubble3 d.
  `void`
  `setDataLabels​(DataLabels dataLabels)`
  Sets the data labels.
  `void`
  `setErrorBars​(ErrorBars errorBars)`
  Sets the error bars.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the extension list (`c:extLst`).
  `void`
  `setIndex​(int index)`
  Sets the index.
  `void`
  `setInvertIfNegative​(boolean invertIfNegative)`
  Sets the invert if negative.
  `void`
  `setOrder​(int order)`
  Sets the order.
  `void`
  `setSeriesText​(SeriesText seriesText)`
  Sets the series text.
  `void`
  `setSize​(BubbleSize size)`
  Sets the size.
  `void`
  `setXValues​(XValues xValues)`
  Sets the x values.
  `void`
  `setYValues​(YValues yValues)`
  Sets the y values.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BubbleChartSerie

    public BubbleChartSerie()
    Instantiates a new bubble chart serie.

- ## Method Details

  - ### clone

    public BubbleChartSerie clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the extension list (`c:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the extension list (`c:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### isBubble3D

    public boolean isBubble3D()
    Checks if is bubble3 d.
    Returns:
      true, if is bubble3 d

  - ### setBubble3D

    public void setBubble3D​(boolean bubble3D)
    Sets the bubble3 d.
    Parameters:
      `bubble3D` - the new bubble3 d

  - ### getSize

    public BubbleSize getSize()
    Gets the size.
    Returns:
      the size

  - ### setSize

    public void setSize​(BubbleSize size)
    Sets the size.
    Parameters:
      `size` - the new size

  - ### getDataLabels

    public DataLabels getDataLabels()
    Gets the data labels.
    Returns:
      the data labels

  - ### setDataLabels

    public void setDataLabels​(DataLabels dataLabels)
    Sets the data labels.
    Parameters:
      `dataLabels` - the new data labels

  - ### getDataPoints

    public List<DataPoint> getDataPoints()
    Gets the data points.
    Returns:
      the data points

  - ### getErrorBars

    public ErrorBars getErrorBars()
    Gets the error bars.
    Returns:
      the error bars

  - ### setErrorBars

    public void setErrorBars​(ErrorBars errorBars)
    Sets the error bars.
    Parameters:
      `errorBars` - the new error bars

  - ### getIndex

    public int getIndex()
    Gets the index.
    Returns:
      the index

  - ### setIndex

    public void setIndex​(int index)
    Sets the index.
    Parameters:
      `index` - the new index

  - ### isInvertIfNegative

    public boolean isInvertIfNegative()
    Checks if is invert if negative.
    Returns:
      true, if is invert if negative

  - ### setInvertIfNegative

    public void setInvertIfNegative​(boolean invertIfNegative)
    Sets the invert if negative.
    Parameters:
      `invertIfNegative` - the new invert if negative

  - ### getOrder

    public int getOrder()
    Gets the order.
    Returns:
      the order

  - ### setOrder

    public void setOrder​(int order)
    Sets the order.
    Parameters:
      `order` - the new order

  - ### getChartShapeProperties

    public ChartShapeProperties getChartShapeProperties()
    Gets the chart shape properties.
    Returns:
      the chart shape properties

  - ### getTrendlines

    public List<Trendline> getTrendlines()
    Gets the trendlines.
    Returns:
      the trendlines

  - ### getSeriesText

    public SeriesText getSeriesText()
    Gets the series text.
    Returns:
      the series text

  - ### setSeriesText

    public void setSeriesText​(SeriesText seriesText)
    Sets the series text.
    Parameters:
      `seriesText` - the new series text

  - ### getXValues

    public XValues getXValues()
    Gets the x values.
    Returns:
      the x values

  - ### setXValues

    public void setXValues​(XValues xValues)
    Sets the x values.
    Parameters:
      `xValues` - the new x values

  - ### getYValues

    public YValues getYValues()
    Gets the y values.
    Returns:
      the y values

  - ### setYValues

    public void setYValues​(YValues yValues)
    Sets the y values.
    Parameters:
      `yValues` - the new y values